Saltar al contenido principal
POST
/
v1
/
searches
Suche erstellen
curl --request POST \
  --url https://api.olostep.com/v1/searches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>"
}
'
{
  "id": "search_9bi0sbj9xa",
  "object": "search",
  "created": 1760327323,
  "metadata": {},
  "query": "Best Answer Engine Optimization startups",
  "result": {
    "json_content": "<string>",
    "json_hosted_url": "<string>",
    "links": [
      {
        "url": "<string>",
        "title": "<string>",
        "description": "<string>"
      }
    ]
  }
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
query
string
requerido

Die Suchabfrage in natürlicher Sprache.

Respuesta

Erfolgreiche Antwort mit Suchergebnissen.

id
string
Ejemplo:

"search_9bi0sbj9xa"

object
string
Ejemplo:

"search"

created
integer
Ejemplo:

1760327323

metadata
object
query
string
Ejemplo:

"Best Answer Engine Optimization startups"

result
object